/*
 * @(#)GenerationException.java
 *
 * Copyright (C) 2006 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.sso.helper;

/**
 * アサーション属性マップ生成インターフェースの実装クラスで発生する例外クラス。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2006/11/22 14:11:55 $
 */
public class GenerationException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -519597702819953175L;

	/**
	 * コンストラクタ。
	 */
	public GenerationException() {
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 */
	public GenerationException(String message) {
		super(message);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param cause 原因
	 */
	public GenerationException(Throwable cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 * @param cause 原因
	 */
	public GenerationException(String message, Throwable cause) {
		super(message, cause);
	}

}
